#define GUI 1
#define COMMAND_LINE 2
#define CURRENT_BUILD_TYPE GUI

#if (CURRENT_BUILD_TYPE == GUI)
#include "ui.h"
#elif (CURRENT_BUILD_TYPE == COMMAND_LINE)
#include "b0mapCommandLine.h"
#endif
#include <stdio.h>

using namespace std;
int main(int argc, char *argv[])
{
#if (CURRENT_BUILD_TYPE == GUI)

    DTICorrectUI* dtiWin = new DTICorrectUI();
    dtiWin->show(argc, argv);
    return Fl::run();

#elif (CURRENT_BUILD_TYPE == COMMAND_LINE)

    CommandLine* cmdLine = new CommandLine();
    cmdLine->param(argc, argv);
    return cmdLine->run();

#endif
}