

#ifndef option_h
#define option_h

#include <string>
#include <stdio.h>
using namespace std;

namespace option
{
typedef		int		type_id;

struct Option
{
    const char*		identifier;
    const char*		shortOpt;
    const char*		longOpt;
    type_id			type;
    string			value;
};

static const int	intType = 1;
static const int	stringType = 2;
static const int	pathType = 4;
static const int	doubleType = 8;
static const int	boolType = 16;


}
#endif